MemtableBufferAllocator (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.utils.memory

## Class MemtableBufferAllocator

- java.lang.Object
- - org.apache.cassandra.utils.memory.MemtableAllocator
  - - org.apache.cassandra.utils.memory.MemtableBufferAllocator

- Direct Known Subclasses:
    SlabAllocator

      public abstract class MemtableBufferAllocator
      extends MemtableAllocator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.utils.memory.MemtableAllocator

      `MemtableAllocator.SubAllocator`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MemtableBufferAllocator(MemtableAllocator.SubAllocator onHeap, MemtableAllocator.SubAllocator offHeap)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.nio.ByteBuffer` | `allocate(int size, OpOrder.Group opGroup)`
    `protected AbstractAllocator` | `allocator(OpOrder.Group writeOp)`
    `DecoratedKey` | `clone(DecoratedKey key, OpOrder.Group writeOp)`
    `Row.Builder` | `rowBuilder(OpOrder.Group writeOp)`

    - ### Methods inherited from class org.apache.cassandra.utils.memory.MemtableAllocator

      `ensureOnHeap, isLive, offHeap, onHeap, setDiscarded, setDiscarding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemtableBufferAllocator

          protected MemtableBufferAllocator(MemtableAllocator.SubAllocator onHeap,
                                            MemtableAllocator.SubAllocator offHeap)

  - ### Method Detail

    - #### rowBuilder

          public Row.Builder rowBuilder(OpOrder.Group writeOp)

      Specified by:
        `rowBuilder` in class `MemtableAllocator`

    - #### clone

          public DecoratedKey clone(DecoratedKey key,
                                    OpOrder.Group writeOp)

      Specified by:
        `clone` in class `MemtableAllocator`

    - #### allocate

          public abstract java.nio.ByteBuffer allocate(int size,
                                                       OpOrder.Group opGroup)

    - #### allocator

          protected AbstractAllocator allocator(OpOrder.Group writeOp)

Copyright © 2018 The Apache Software Foundation